이 플러그인은 최근 3개의 주요 워드프레스 출시와 시험 되지 않았습니다. 워드프레스의 좀 더 최근 버전으로 이용할 때 더 이상 관리되지 않고 지원되지 않고 호환성 문제가 있을 수 있습니다.

Sectors – Conditional Templates & Hooks

설명

Sectors is a first of its kind plugin for WordPress. Create theme templates for any context on your site. Make sure select Actions or Filters are only added when certain conditions are met.

Contexts

When you add a new sector to your site, you select the content it covers. This could be:

  • All posts in a select category
  • Pages by an author
  • Custom Post Types with a Custom Taxonomy
  • Any combination of above

Sectors also comes with built in support for BuddyPress, WPML, Polylang, and more.

Templates

Sectors will look in your theme folder for the following templates:

  • /sectors/<sector-name>.php
  • /sector-<sector-name>.php

If found, it will be automatically loaded for the context.

API

Template Tags

Check if a query is part of a given or any sector:

is_sector(string $sector):boolean

Get all sectors for current context:

get_current_sectors():array

Hooks

Sectors extends all WordPress Actions and Filters by adding a scope. This means you can add a callback to an action and make sure it’s only executed in a given context:

add_sector_action(string $sector, string $tag, callable $function, int $priority = 10, int $accepted_args = 1 )

add_sector_filter(string $sector, string $tag, callable $function, int $priority = 10, int $accepted_args = 1 )

스크린샷

  • Actions & Filters without Sectors
  • Actions & Filters using Sectors

설치

  1. Upload the full plugin directory to your /wp-content/plugins/ directory or install the plugin through Plugins in the Admin Dashboard
  2. Activate the plugin through Plugins in the Admin Dashboard
  3. Create your first Sector under the menu Sectors > Add New

후기

이 플러그인에 대한 평가가 없습니다.

기여자 & 개발자

“Sectors – Conditional Templates & Hooks”(은)는 오픈 소스 소프트웨어입니다. 다음의 사람들이 이 플러그인에 기여하였습니다.

기여자

자국어로 “Sectors – Conditional Templates & Hooks”(을)를 번역하세요.

개발에 관심이 있으십니까?

코드 탐색하기는, SVN 저장소를 확인하시거나, 개발 기록RSS로 구독하세요.

변경이력

1.2

  • Added: wordpress 5.5 support
  • Added: minimum wordpress version 4.8
  • Added: minimum php version 5.6
  • Updated: wp-content-aware-engine
  • Updated: wp-db-updater

1.1

  • Added: api to get current sectors
  • Added: ‘sector’ to body class
  • Added: ui improvements
  • Updated: wp-content-aware-engine

1.0

  • Welcome